var FrozenTissueDate = function()
{
	var ftd = {};
	var debug = 0;
	

	ftd.initPage = function()
	{
		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', ftd.validateStep1);
		Wizard.initFileSelectionField('importfile');
		
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('goimport', Wizard.goRegister);

		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', ftd.submit);

		Doc.show('step-1');
		Doc.show('goimport');
	}
	
	ftd.validateStep1 = function(event)
	{
		var valid = true;
		valid &= Wizard.isValid('importfile');
		if (!valid) event.preventDefault();
	}

	ftd.submit = function()
	{
		var frm = document.forms['reggie'];
		
		var url = '../Import.servlet?ID='+App.getSessionId();
		url += '&cmd=ImportFrozenTissueDate';
		url += '&file='+encodeURIComponent(frm.importfile.value);
		
		Wizard.showLoadingAnimation('Importing FrozenTissueDate...');
		Wizard.asyncJsonRequest(url, ftd.submissionResults, 'POST');
	}
	
	ftd.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		if (response.notFound && response.notFound.length)
		{
			Doc.element('not-found').innerHTML = response.notFound.join('<br>');
			Doc.show('not-found');
		}
		Doc.show('gorestart');
	}


	return ftd;
}();

Doc.onLoad(FrozenTissueDate.initPage);

